Search agents by name
curl --request GET \
--url https://dust.tt/api/v1/w/{wId}/assistant/agent_configurations/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://dust.tt/api/v1/w/{wId}/assistant/agent_configurations/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dust.tt/api/v1/w/{wId}/assistant/agent_configurations/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"agentConfigurations": [
{
"id": 12345,
"sId": "7f3a9c2b1e",
"version": 2,
"versionCreatedAt": "2023-06-15T14:30:00Z",
"versionAuthorId": "0ec9852c2f",
"name": "Customer Support Agent",
"description": "An AI agent designed to handle customer support inquiries",
"instructions": "Always greet the customer politely and try to resolve their issue efficiently.",
"pictureUrl": "https://example.com/agent-images/support-agent.png",
"status": "active",
"scope": "workspace",
"userFavorite": true,
"model": {
"providerId": "openai",
"modelId": "gpt-4",
"temperature": 0.7
},
"actions": [],
"maxStepsPerRun": 10,
"templateId": "b4e2f1a9c7"
}
]
}Agents
Search agents by name
Search for agent configurations by name in the workspace identified by .
GET
/
api
/
v1
/
w
/
{wId}
/
assistant
/
agent_configurations
/
search
Search agents by name
Authorizations
Your DUST API key is a Bearer token.
Path Parameters
ID of the workspace
Query Parameters
Search query for agent configuration names
Response
Successfully retrieved agent configurations
Show child attributes
Show child attributes
⌘I